---
# IRC for internal communications.  At some point we wanted this to be
# our main community channel, see The Lounge task.
#
# TODO: Open port to Internet.
- name: ngircd config
  when: "inventory_hostname == delegate.hostname"
  template:
    src: "templates/ngircd.conf.j2"
    dest: "{{ root }}{{ ngircd.config }}"

- name: ngircd container
  when: "inventory_hostname == delegate.hostname"
  docker_container:
    name: ngircd
    image: sutty/ngircd
    restart_policy: always
    detach: yes
    state: started
    volumes:
    - "{{ root }}{{ ngircd.config }}:{{ ngircd.config }}"
    - "{{ root }}{{ directories.certificates }}:{{ directories.certificates }}"
    published_ports:
    - "6697:6697"
    env:
      EMAIL: "{{ email }}"
    networks:
    - name: sutty
    purge_networks: yes
